Index: lib/vendor/creole/Creole.php
===================================================================
--- lib/vendor/creole/Creole.php	(revision 6003)
+++ lib/vendor/creole/Creole.php	(working copy)
@@ -369,22 +369,26 @@
      *                      - if after loading file class still does not exist
      */
     public static function import($class) {
-        if (!class_exists($class, false)) {
+        $pos = strrpos($class, '.');
+        // get just classname ('path.to.ClassName' -> 'ClassName')
+        if ($pos !== false) {
+            $classname = substr($class, $pos + 1);
+        }
+        else
+        {
+          $classname = $class;
+        }
+        if (!class_exists($classname, false)) {
             $path = strtr($class, '.', DIRECTORY_SEPARATOR) . '.php';
             $ret = include_once($path);
             if ($ret === false) {
                 throw new SQLException("Unable to load driver class: " . $class);
             }
-            // get just classname ('path.to.ClassName' -> 'ClassName')
-            $pos = strrpos($class, '.');
-            if ($pos !== false) {
-                $class = substr($class, $pos + 1);
+            if (!class_exists($classname)) {
+                throw new SQLException("Unable to find loaded class: $classname (Hint: make sure classname matches filename)");
             }
-            if (!class_exists($class)) {
-                throw new SQLException("Unable to find loaded class: $class (Hint: make sure classname matches filename)");
-            }
         }
-        return $class;
+        return $classname;
     }
 
 }
